import QtQuick 2.0
import Sailfish.Silica 1.0

Page {
    id: rulesPage

    // The effective value will be restricted by ApplicationWindow.allowedOrientations
    allowedOrientations: Orientation.All

    VerticalScrollDecorator {}

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: rulesColumn.height + Theme.paddingLarge
        flickableDirection: Flickable.VerticalFlick

        Column {
            id: rulesColumn
            width: parent.width - 2 * Theme.horizontalPageMargin
            anchors.horizontalCenter: parent.horizontalCenter

            PageHeader {
                id: headerItem
                title: qsTr("The Pedalo Rules")
            }

            Label {
                id: rulestext
                width: parent.width
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                textFormat: TextEdit.RichText
                horizontalAlignment: Text.AlignLeft
                font.pixelSize: Theme.fontSizeSmall
                text: "
To get an accurate reflection of your relative speed, it's important to follow some common-sense rules.
<br/>
<br/>
On each journey keep a mental note of how many pedalos you overtake (<i>overtakees</i>), and how many other pedalos overtake you (<i>overtakers</i>). Enter these numbers in the app at the end of your journey.
<br/>
<br/>
To keep track of these numbers in a sensible way:
<br/>
<ol>
<li>Remember two numbers: how many pedalos you overtake, and how many pedalos overtake you.</li>
<li>Don't count any overtakes that happen when you're at a junction, or slowing down for a junction.</li>
<li>Only count overtakes with pedalos that are travelling on the same route and in the same direction as you.</li>
<li>If you overtake a pedalo and add one to your <i>overtakees</i> value, but they then overtake you back, subtract it from your <i>overtakees</i> value, rather than adding it to your <i>overtakers<i> value.</li>
<li>Similarly if it happens the other way around.</li>
</ol>
<br/>
The master rule is that, whatever approach you use, be consistent and apply the same rules in the same way for people you overtake as you do for people who overtake you.
<br/>
<br/>
Finally, street cycle can be a dangerous activivity. Don't use The Rules as an excuse to justify aggressive overtaking. Stay safe and cycle considerately!
"
            }
        }
    }


}


